#ifndef _UMF_MIRACAST_H_
#define _UMF_MIRACAST_H_

#include <wfd_if.h>

#define BYTE unsigned char
typedef enum {
    MIRACAST_InProcessing,                 // not finish yet
    MIRACAST_FINISH,             // finish
} MIRACAST_InitExitStatus_e;

void miracast_Init(MIRACAST_ModualCfg_t *pMIRACAST_ModualCfg);
INT32 MiracastExit(void);
INT32 MiracastInit(void);
MIRACAST_InitExitStatus_e miracast_getMiracastInitStatus(void);
MIRACAST_InitExitStatus_e miracast_getMiracastExitStatus(void);
#endif

